Skip to main content
GET
List Ramp payment methods

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

Query Parameters

country
string
required

ISO 3166-1 alpha-2 country code. Use GET /v1/ramp/countries to discover supported values.

Required string length: 2
Pattern: ^[A-Za-z]{2}$
subdivision
string

ISO 3166-2 subdivision code suffix (e.g., CA for California when country is US). Use GET /v1/ramp/countries to discover supported values.

page_token
string

Opaque token returned as next_page_token in the previous response. Omit to request the first page.

Required string length: 1 - 256
page_size
integer<int32>
default:20

Maximum number of results to return. Ignored when page_token is present.

Required range: 1 <= x <= 25

Response

Successful response

data
RampPaymentMethod · object[]
required

Supported funding methods for Ramp operations.

next_page_token
string

Opaque token for retrieving the next page. Absent when there are no more results.

Required string length: 1 - 256